CPTTRF(3f)

NAME
CPTTRF - the L*D*L' factorization of a complex Hermitian positive definite tridiagonal matrix A

SYNOPSIS

SUBROUTINE CPTTRF(
    N, D, E, INFO )

INTEGER
    INFO, N

REAL
    D( * )

COMPLEX
    E( * )

PURPOSE
CPTTRF computes the L*D*L' factorization of a complex Hermitian positive definite tridiagonal matrix A. The factorization may also be regarded as having the form A = U'*D*U.

ARGUMENTS

N       (input) INTEGER
    The order of the matrix A. N >= 0.

D       (input/output) REAL array, dimension (N)
    On entry, the n diagonal elements of the tridiagonal matrix A. On exit, the n diagonal elements of the diagonal matrix D from the L*D*L' factorization of A.

E       (input/output) COMPLEX array, dimension (N-1)
    On entry, the (n-1) subdiagonal elements of the tridiagonal matrix A. On exit, the (n-1) subdiagonal elements of the unit bidiagonal factor L from the L*D*L' factorization of A. E can also be regarded as the superdiagonal of the unit bidiagonal factor U from the U'*D*U factorization of A.

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -k, the k-th argument had an illegal value
    > 0: if INFO = k, the leading minor of order k is not positive definite; if k < N, the factorization could not be completed, while if k = N, the factorization was completed, but D(N) <= 0.